%define url_ver %(echo %{version} | cut -c 1-3)

Summary:	Color management tools for GNOME
Name:		gnome-color-manager
Version:	3.4.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/GNOME
URL:		http://projects.gnome.org/gnome-color-manager/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(clutter-1.0) >= 1.9.4
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(colord) >= 0.1.12
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.0
BuildRequires:	pkgconfig(lcms2) >= 2.2
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.10
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(mash-0.2)
BuildRequires:	pkgconfig(vte-2.90) >= 0.25.1
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	libtiff-devel
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	docbook-utils
BuildRequires:	desktop-file-utils
BuildRequires:	intltool >= 0.35.0

Requires:	gnome-icon-theme
Requires:	shared-color-profiles
Requires:	colord

#Dropped and not used since g-c-m version 3.1.2
Obsoletes:	gnome-color-manager-devel
Obsoletes:	%{_lib}color-glib1

%description
gnome-color-manager is a session framework that makes it easy to manage, 
install and generate color profiles in the GNOME desktop.

%prep
%setup -q

%build
%configure2_5x \
	--disable-scrollkeeper \
	--disable-schemas-compile \
	--disable-static \
	--enable-packagekit 

%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name

# Remove static libs and libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/gcm-*
%{_datadir}/%{name}
%{_datadir}/man/man1/*
%{_libexecdir}/gcm-helper-exiv
%{_libexecdir}/gcm-calibrate-helper
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%{_datadir}/applications/*.desktop


%changelog

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226699
- new version 3.4.0

* Wed Mar 14 2012 ovitters <ovitters> 3.3.91-1.mga2
+ Revision: 223363
- new version 3.3.91

* Wed Mar 07 2012 fwang <fwang> 3.3.5-3.mga2
+ Revision: 220708
- rebuild for new cogl

* Wed Feb 22 2012 wally <wally> 3.3.5-2.mga2
+ Revision: 212414
- rebuild for new cogl

* Mon Feb 06 2012 fwang <fwang> 3.3.5-1.mga2
+ Revision: 205342
- update file list
- fix deps
- new version 3.3.5

* Tue Jan 17 2012 fwang <fwang> 3.3.3-3.mga2
+ Revision: 197342
- rebuild for new cogl

* Sun Dec 25 2011 fwang <fwang> 3.3.3-2.mga2
+ Revision: 187376
- rebuild for new libtiff

* Mon Dec 19 2011 wally <wally> 3.3.3-1.mga2
+ Revision: 184527
- new version 3.3.3

* Wed Nov 23 2011 wally <wally> 3.2.1-2.mga2
+ Revision: 171411
- rebuild for new cogl and clutter

* Mon Oct 17 2011 fwang <fwang> 3.2.1-1.mga2
+ Revision: 155722
- new version 3.2.1

* Sun Oct 09 2011 fwang <fwang> 3.2.0-3.mga2
+ Revision: 153411
- rebuild for new exiv2

* Mon Oct 03 2011 fwang <fwang> 3.2.0-2.mga2
+ Revision: 151231
- cleanup reqs

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148887
- new version 3.2.0

* Thu Sep 22 2011 wally <wally> 3.1.92-2.mga2
+ Revision: 146817
- rebuild for new mash
- clean .spec a bit

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145730
- new version 3.1.92

* Mon Sep 19 2011 wally <wally> 3.1.91-2.mga2
+ Revision: 145689
- rebuild for new cogl

* Mon Sep 05 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 138799
- new version 3.1.91

* Wed Aug 31 2011 wally <wally> 3.1.90-1.mga2
+ Revision: 137242
- fix BRs
- fix file list
- obsolete old and dropped devel and lib package

  + fwang <fwang>
    - use verbose build
    - br intltool
    - new version 3.1.90
    - rebuild for new cogl

  + ahmad <ahmad>
    - Replace BR libgnome-window-settings-devel with pkgconfig(gnome-keybindings)

* Tue Jul 05 2011 wally <wally> 3.1.2-2.mga2
+ Revision: 119012
- add libmash-devel BR

* Tue Jul 05 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 118950
- new version 3.1.2
- drop lib and devel packages
- clean .spec a bit

* Thu Jun 23 2011 mikala <mikala> 3.0.0-1.mga2
+ Revision: 112839
- Update tarball to 3.0.0
- Fix files list

* Fri Feb 25 2011 ennael <ennael> 2.32.0-2.mga1
+ Revision: 59873
- add BR
- imported package gnome-color-manager


* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581654
- new version

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579012
- update to new version 2.31.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574747
- update to new version 2.31.91

* Fri Aug 06 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 566671
- new version
- bump deps
- handle gconf schema uninstallation

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550754
- update to new version 2.30.2

* Wed Jun 30 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 549699
- Fix buildrequires for sane support (metalgod)

* Mon Apr 26 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 538926
- new version
- fix source URL

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528777
- update build deps
- new version
- fix source URL

* Mon Mar 01 2010 Götz Waschk <waschk@mandriva.org> 2.29.4-1mdv2010.1
+ Revision: 512960
- update build deps
- update to new version 2.29.4

* Mon Feb 01 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.3-1mdv2010.1
+ Revision: 499153
- Release 2.29.3

* Tue Jan 19 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-1mdv2010.1
+ Revision: 493700
- add more BR
- add missing BR for manpage generation
- enable packagekit support
- ensure hardware detection is enabled
- import gnome-color-manager


